Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class BOOLEAN

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.BOOLEAN

public class BOOLEAN
extends java.lang.Object
implements ASN1Value

An ASN.1 `BOOLEAN` value.

Inner Class Summary
`static class` | `BOOLEAN.Template` A Class for decoding `BOOLEAN` values from their BER encodings.

Field Summary
`static Form` | `FORM`
`static Tag` | `TAG`
`private static BOOLEAN.Template` | `templateInstance`
`private boolean` | `val`

Constructor Summary
`private` | `BOOLEAN()`
`` | `BOOLEAN(boolean val)` Creates a `BOOLEAN` with the given value.

Method Summary
`void` | `encode(java.io.OutputStream ostream)`
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)`
`private ASN1Header` | `getHeader()`
`private ASN1Header` | `getHeader(Tag implicitTag)`
`Tag` | `getTag()`
`static BOOLEAN.Template` | `getTemplate()`
`boolean` | `toBoolean()` Returns the boolean value of this `BOOLEAN`.
`java.lang.String` | `toString()` Returns "true" or "false".

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

### FORM

    public static final Form FORM

### val

    private boolean val

### templateInstance

    private static final BOOLEAN.Template templateInstance

Constructor Detail

### BOOLEAN

    private BOOLEAN()

### BOOLEAN

    public BOOLEAN(boolean val)

  Creates a `BOOLEAN` with the given value.

Method Detail

### getTag

    public Tag getTag()

  Specified by:
    getTag in interface ASN1Value

### getHeader

    private ASN1Header getHeader()

### getHeader

    private ASN1Header getHeader(Tag implicitTag)

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Specified by:
    encode in interface ASN1Value

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Specified by:
    encode in interface ASN1Value

### toBoolean

    public boolean toBoolean()

  Returns the boolean value of this `BOOLEAN`.

### toString

    public java.lang.String toString()

  Returns "true" or "false".
  Overrides:
    toString in class java.lang.Object

### getTemplate

    public static BOOLEAN.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD